# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-07-11 12:03
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0001_initial'),
        ('submission', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('date_time', models.DateTimeField(auto_now_add=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='proofing_note_creator', to=settings.AUTH_USER_MODEL)),
                ('galley', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Galley')),
            ],
            options={
                'ordering': ('-date_time',),
            },
        ),
        migrations.CreateModel(
            name='ProofingAssignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assigned', models.DateTimeField(default=django.utils.timezone.now)),
                ('notified', models.BooleanField(default=False)),
                ('completed', models.DateTimeField(blank=True, null=True)),
                ('article', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='submission.Article')),
                ('editor', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='proofing_editor', to=settings.AUTH_USER_MODEL)),
                ('proofing_manager', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ProofingRound',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.PositiveIntegerField(default=1)),
                ('date_started', models.DateTimeField(default=django.utils.timezone.now)),
                ('assignment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proofing.ProofingAssignment')),
            ],
            options={
                'ordering': ('-number',),
            },
        ),
        migrations.CreateModel(
            name='ProofingTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assigned', models.DateTimeField(default=django.utils.timezone.now)),
                ('notified', models.BooleanField(default=False)),
                ('due', models.DateTimeField(default=None, verbose_name='Date Due')),
                ('accepted', models.DateTimeField(blank=True, null=True)),
                ('completed', models.DateTimeField(blank=True, null=True)),
                ('cancelled', models.BooleanField(default=False)),
                ('acknowledged', models.DateTimeField(blank=True, null=True)),
                ('task', models.TextField(verbose_name='Proofing Task')),
                ('galleys_for_proofing', models.ManyToManyField(to='core.Galley')),
                ('notes', models.ManyToManyField(to='proofing.Note')),
                ('proofreader', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('round', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proofing.ProofingRound')),
            ],
        ),
        migrations.CreateModel(
            name='TypesetterProofingTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assigned', models.DateTimeField(default=django.utils.timezone.now)),
                ('notified', models.BooleanField(default=False)),
                ('due', models.DateTimeField(blank=True, null=True)),
                ('accepted', models.DateTimeField(blank=True, null=True)),
                ('completed', models.DateTimeField(blank=True, null=True)),
                ('cancelled', models.BooleanField(default=False)),
                ('acknowledged', models.DateTimeField(blank=True, null=True)),
                ('task', models.TextField(verbose_name='Typesetter Task')),
                ('notes', models.TextField(blank=True, null=True, verbose_name='Correction Note')),
                ('galleys', models.ManyToManyField(to='core.Galley')),
                ('proofing_task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proofing.ProofingTask')),
                ('typesetter', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Correction Task',
            },
        ),
        migrations.AlterUniqueTogether(
            name='proofingassignment',
            unique_together=set([('article', 'proofing_manager')]),
        ),
    ]
